Patchwork [meta-oe,3/4] gpsd: use chrpath-replacement-native now

login
register
mail settings
Submitter Martin Jansa
Date Oct. 5, 2012, 9:33 a.m.
Message ID <8d6035a44500fb2b0bdb7419cba171dfbdb09172.1349429575.git.Martin.Jansa@gmail.com>
Download mbox | patch
Permalink /patch/37801/
State Accepted
Commit f8004aa4a706d305df95f4da73215c45b31798dc
Headers show

Comments

Martin Jansa - Oct. 5, 2012, 9:33 a.m.
* chrpath-native was added to ASSUME_PROVIDED
  http://lists.linuxtogo.org/pipermail/openembedded-core/2012-October/030744.html
* it would be better to not use chrpath at all, but build.txt says:
  If you do not have chrpath available, GPSD binaries will be built
  statically.
  ...
  When you are cross-compiling, you'll need chrpath at version 0.14 or
  later for cross-architecture support.  If it's not yet packaged for
  your environment, see http://alioth.debian.org/projects/chrpath/
  and I prefer to stick to upstream

Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
---
 meta-oe/recipes-navigation/gpsd/gpsd_3.7.bb | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

Patch

diff --git a/meta-oe/recipes-navigation/gpsd/gpsd_3.7.bb b/meta-oe/recipes-navigation/gpsd/gpsd_3.7.bb
index eff0dcb..105dbf6 100644
--- a/meta-oe/recipes-navigation/gpsd/gpsd_3.7.bb
+++ b/meta-oe/recipes-navigation/gpsd/gpsd_3.7.bb
@@ -2,10 +2,12 @@  DESCRIPTION = "A TCP/IP Daemon simplifying the communication with GPS devices"
 SECTION = "console/network"
 LICENSE = "BSD"
 LIC_FILES_CHKSUM = "file://COPYING;md5=d217a23f408e91c94359447735bc1800"
-DEPENDS = "dbus dbus-glib ncurses python libusb1 chrpath-native"
+DEPENDS = "dbus dbus-glib ncurses python libusb1 chrpath-replacement-native"
 PROVIDES = "virtual/gpsd"
 
-PR = "r1"
+EXTRANATIVEPATH += "chrpath-native"
+
+PR = "r2"
 
 SRC_URI = "http://download.savannah.gnu.org/releases/${PN}/${P}.tar.gz \
   file://0002-SConstruct-respect-sysroot-also-in-SPLINTOPTS.patch \